Skip to main content
GET
/
reviews
List reviews
curl --request GET \
  --url https://api.guile.app/reviews \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "text": "<string>",
      "reviewTags": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "sentiment": "positive",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "appointment": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "occursOn": "2023-11-07T05:31:56Z",
        "barber": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "givenName": "<string>",
          "surname": "<string>",
          "preferredName": "<string>"
        },
        "location": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "shopName": "<string>"
        }
      },
      "customer": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "givenName": "<string>",
        "surname": "<string>"
      },
      "state": "pending",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 1,
  "offset": 1,
  "limit": 1
}

Query Parameters

state
enum<string>[]

Filter reviews by state. When included, only reviews with any of these states are returned. When excluded, reviews are not filtered by state.

The state of a review.

Available options:
pending,
approved,
rejected
sentiment
enum<string>[]

Filter reviews by sentiment. When included, only reviews with any of these sentiments are returned. When excluded, reviews are not filtered by sentiment.

The sentiment of a review.

Available options:
positive,
negative
date
string

Filter reviews by date range. A date range, supporting inclusive or exclusive endpoints. Dates ranges use dates expressed in YYYY-MM-DD RFC 3339 date format. The value may have the following forms:

  • YYYY-MM-DD match the date exactly; equivalent to matching dates in the range [YYYY-MM-DD,YYYY-MM-DD]
  • [YYYY-MM-DD,YYYY-MM-DD] between two dates, inclusive of the endpoints
  • (YYYY-MM-DD,YYYY-MM-DD) between two dates, exclusive of the endpoints
  • [YYYY-MM-DD,] on or after the date
  • (YYYY-MM-DD,) after the date
  • [,YYYY-MM-DD] before or on the date
  • (,YYYY-MM-DD) before the date

Examples:

  • '2022-05-19'
  • '[2022-05-01,2022-05-31]'
  • '[2022-05-01,2022-06-01)'
  • '[2022-05-19,]'
  • '(2022-05-19,)'
  • '[,2022-05-19]'
  • '(,2022-05-19)'
Maximum string length: 24
Pattern: ^\d{4}-\d{2}-\d{2}|([[(](\d{4}-\d{2}-\d{2},(\d{4}-\d{2}-\d{2})?|,\d{4}-\d{2}-\d{2})[)\]])$
offset
integer<int16>
default:0

The offset for pagination. Defaults to 0.

Required range: x >= 0
limit
integer<int16>
default:50

The maximum number of results to return. Defaults to 50.

Required range: 1 <= x <= 250

Response

Ok. The operation succeeded.

A paginated list of reviews.

items
object[]
required
count
integer<int16>
required
Required range: x >= 0
offset
integer<int16>
required

The offset of list results for the current page.

Required range: x >= 0
limit
integer<int16>
required

The maximum number of results included in items.

Required range: x >= 0